Bug 97848 - "Very High" modem volume setting is incompatible with my modem
"Very High" modem volume setting is incompatible with my modem
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-network (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-23 03:54 EDT by Barry K. Nathan
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-27 08:15:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2003-06-23 03:54:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030619

Description of problem:
redhat-config-network lets me set the modem volume to "Very High", but this is
not compatible with my modem and prevents a successful PPP connection from being
established.

Version-Release number of selected component (if applicable):
redhat-config-network-1.3.0-1

How reproducible:
Always.

Steps to Reproduce:
1. Configure a D-Link DMF-560TXD for "Very High" volume.
2. Attempt to establish a PPP connection (right now, that also means working
around bug 97845).

Actual Results:  (An excerpt from /var/log/messages.)
Jun 22 18:36:49 i5000e kernel: PPP generic driver version 2.4.2
Jun 22 18:36:49 i5000e pppd[2366]: pppd 2.4.1 started by root, uid 0
Jun 22 18:36:50 i5000e wvdial[2388]: WvDial: Internet dialer version 1.53
Jun 22 18:36:50 i5000e wvdial[2388]: Initializing modem.
Jun 22 18:36:50 i5000e wvdial[2388]: Sending: ATZ
Jun 22 18:36:51 i5000e wvdial[2388]: ATZ
Jun 22 18:36:51 i5000e wvdial[2388]: OK
Jun 22 18:36:51 i5000e wvdial[2388]: Sending: ATM4
Jun 22 18:36:51 i5000e wvdial[2388]: ATM4
Jun 22 18:36:51 i5000e wvdial[2388]: ERROR
Jun 22 18:36:51 i5000e wvdial[2388]: Bad init string.
Jun 22 18:36:51 i5000e wvdial[2388]: stdin not read/write and $MODEM not set
Jun 22 18:36:51 i5000e pppd[2366]: Connect script failed
Jun 22 18:36:52 i5000e pppd[2366]: Exit.

Expected Results:  Successful PPP connection.

Additional info:
It would be nice to have some kind of warning in redhat-config-network, or
something like that, IMO.

The obvious workaround, of course, is to reduce the volume to merely "High."
Comment 1 Barry K. Nathan 2003-06-23 03:57:14 EDT
Clarifying "Additional info": I mean it would be nice to at least have a warning
that "Very high" is not compatible with all modems and may cause a connection
failure. (I might be able to code up a patch to do that, if there's a chance it
might be accepted.)
Comment 2 Harald Hoyer 2003-10-27 08:15:54 EST
ATM was the wrong AT sequence... ATM1L4 would have been the correct init string..

Note You need to log in before you can comment on or make changes to this bug.